class_name RalentirPouvoir
extends PouvoirBase
## Pouvoir qui ralentit toutes les balles


func declencher_pouvoir(arbre_scene: SceneTree) -> void:
	for balle in arbre_scene.get_nodes_in_group("groupe_des_balles"):
		assert(balle is Balle, "Le groupe_des_balles ne doit contenir que des Balle !")
		balle.ralentir(3.0)


func couleur_principale() -> Color:
	return Color.WEB_GREEN
